:root{
    background-color: #34495e;
    font-size: 62.5%;
}

*{
    box-sizing: border-box;
    font-family:'Fira Code', Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    color: #7ed6df;
}

h1,
h2,
h3,
h4{
    margin-bottom: 1rem;
}
h1{
    font-size: 5.4rem;
    color: #ffffff;
    margin-bottom: 5rem;
}

h1 >span{
    font-size: 2.4rem;
    font-weight: 500;
}
h2{
    font-size: 4.2rem;
    margin-bottom: 4rem;
    font-weight: 700;
}
h3{
    font-size: 2.8rem;
    font-weight: 500;
}

/*UTILITIES*/
.container{
    width: 100vh;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 80rem;
    margin: 0 auto;
    padding: 2rem;

}

.container > * {
    width: 100%;
}

.flex-column{
    display: flex;
    flex-direction: column;
}
.flex-center{
    justify-content: center;
    align-items: center;
}
.justify-center{
    justify-content: center;
}
.text-center{
    text-align: center;
}
.hidden{
    display: none;
}

/*BUTTONS*/

.btn{
    font-size: 1.8rem;
    padding: 1rem 0;
    width: 20rem;
    text-align: center;
    border: 0.1rem solid  #1e90ff;
    margin-bottom: 1rem;
    text-decoration: none;
    color:  #1e90ff;
    background-color: white;
}

.btn:hover {
    cursor: pointer;
    box-shadow: 0 0.4rem 1.4rem 0 rgba(86,158,235,0.5);
    transform: translateY(-0.1rem);
    transition: transform 150ms;
}
.btn[disabled]:hover{
    cursor: not-allowed;
    box-shadow: none;
    transform: none;
}

/*FORUMS*/

form{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

input{
    margin-bottom: 1rem;
    width: 20rem;
    padding: 1.5rem;
    font-size: 1.8rem;
    border: none;
    box-shadow: 0 0.4rem 1.4rem 0 rgba(86,158,235,0.5);
}

input::placeholder{
    color: #aaa;
}



